package com.yn.bftl.thirdparty.modules.chinaums.enums;

import lombok.AllArgsConstructor;

/**
 * @program: yn-byx-thirdparty
 * @description: 订单支付状态
 * @author: Jing
 * @create: 2024-08-27 17:04
 **/
@AllArgsConstructor
public enum OrderStatusEnum {
    UNPAID("00", "未支付"),
    SUBMITTED_PAYMENT("01", "支付处理中"),
    PENDING_SETTLEMENT("02", "待结算"),
    PAYMENT_FAILED("03", "支付失败"),
    LONG_TERM_UNPAID_HAS_BEEN_SET_AS_A_FAILED_TRANSACTION("04", "长时间未支付置为交易失败"),
    PARTIAL_SETTLEMENT("05", "部分结算"),
    ORDER_COMPLETED("06", "订单完成"),
    ORDER_CANCELLATION("07", "订单撤销(全额退款)"),
    ORDER_COMPLETED_AND_PARTIALLY_REFUNDED("08", "订单已完成且部分退款");


    private final String value;
    private final String name;

    public String getValue() {
        return this.value;
    }

    public String getName() {
        return this.name;
    }
}
